JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinDef.DWORD

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.WinDef.DWORD

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  WinDef

    public static class WinDef.DWORD

extends IntegerType

32-bit unsigned integer.

See Also:
  Serialized Form

Constructor Summary
`WinDef.DWORD()`
`WinDef.DWORD(long value)`

Method Summary
`WinDef.WORD` | `getHigh()` High WORD.
`WinDef.WORD` | `getLow()` Low WORD.

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.DWORD

    public WinDef.DWORD()

### WinDef.DWORD

    public WinDef.DWORD(long value)

Method Detail

### getLow

    public WinDef.WORD getLow()

  Low WORD.

  Returns:
    Low WORD.

### getHigh

    public WinDef.WORD getHigh()

  High WORD.

  Returns:
    High WORD.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.